Skip to Content

Batch Modify Orders

PUT /ftapi/v1/batchOrders

Request Parameters

NameTypeDescription
idLONGOrder ID
symbolIdSTRINGTrading pair, e.g., BTC-USDT-M
sideENUMBuy/sell direction: See OrderSide
typeENUMOrder type: See OrderType
quantityDECIMALOrder quantity
priceDECIMALOrder price
tpSlTake profit / Stop loss
tpTriggerTypeENUMTP trigger type: See TriggerTypeEnum
tpPriceDECIMALTP price
tpExecutePriceDECIMALTP execution price
slTriggerTypeENUMSL trigger type: See TriggerTypeEnum
slPriceDECIMALSL price
slExecutePriceDECIMALSL execution price

Request Example

[ { "id": "112143113601945600", "symbolId": "SOL-USDT-M", "side": "BUY", "price": "212.429", "quantity": "2", "type": "LIMIT", "tpSl": { "tpTriggerType": "NONE", "tpPrice": 0, "tpExecutePrice": 0, "slTriggerType": "NONE", "slPrice": 0, "slExecutePrice": 0 } }, { "id": "112143113601945601", "symbolId": "SOL-USDT-M", "side": "BUY", "price": "212.429", "quantity": "2", "type": "LIMIT", "tpSl": { "tpTriggerType": "NONE", "tpPrice": 0, "tpExecutePrice": 0, "slTriggerType": "NONE", "slPrice": 0, "slExecutePrice": 0 } } ]

Response Example

{ "code": "0", "data": true, "msg": "Request successful", "success": true }

Error Codes

Error CodeDescription
700000System error
700001Position not found
700004Invalid request parameters
700008Request timeout
700009Illegal parameter
700011Illegal price
700012Illegal order quantity
700013Adjust margin exceeds maximum
700016Position size exceeds max open limit; adjust risk limit
700017Insufficient balance
700018Insufficient pending orders
700019Illegal leverage
700022Insufficient closable quantity
700040Trigger price too close to current price; may trigger immediately
700041Trading is not allowed for this contract
700042Please select either take profit or stop loss
700043TP trigger price greater than entry average
700044TP trigger price less than entry average
700045SL trigger price less than entry average
700046SL trigger price greater than entry average
700047Trigger price too close to entry price; may trigger immediately
700048Order status abnormal
700052Exceeds maximum number of open orders
700057SL trigger price cannot be below est. liquidation price
700058SL trigger price cannot be above est. liquidation price
700060Order quantity must not be less than minimum order size
700061User is prohibited from trading
700062User is prohibited from opening positions
700068TP price must be greater than order price
700069TP price must be greater than current price
700070SL price must be less than order price
700071SL price must be less than current price
700072TP price must be less than order price
700073TP price must be less than current price
700074SL price must be greater than order price
700075SL price must be greater than current price
700076TP price must be greater than mark price
700077TP price must be less than mark price
700078SL price must be greater than mark price
700079SL price must be less than mark price
700080SL price must be less than liquidation price
700081SL price must be greater than liquidation price
700082Order quantity must not exceed maximum order size
700089TP order price must be greater than entry price
700091TP order price must be less than entry price
700093SL order price must be less than entry price
700095SL order price must be greater than entry price
700096TP order price must be greater than latest price
700097TP order price must be less than latest price
700098SL order price must be less than latest price
700099SL order price must be greater than latest price
700106Order failed; try again later or contact support

Code Example

Last updated on: